package com.miaozhen.aes;

import static com.miaozhen.aes.AES.decrypt;
import static com.miaozhen.aes.AES.encrypt;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNull;

import org.junit.Test;

public class TestAES {

    @Test
    public void testAES() {
        String notice = "/gre/winnotice/test?id=eab1a3f6a494426490b8b09f89915c91&bidid=bid_reponse_eab1a3f6a494426490b8b09f89915c91&impid=0971ac8e8c6445b5883430474b82a659&price=13.0";
        String token = "90f1128c7a094946a54f941d4c6f108c";
        String es = encrypt(notice, token);
        String result = decrypt(es, token);
        assertEquals(notice, result);
    }

    @Test
    public void testWithWrongKey() {
        String notice = "/gre/winnotice/test?id=eab1a3f6a494426490b8b09f89915c91&bidid=bid_reponse_eab1a3f6a494426490b8b09f89915c91&impid=0971ac8e8c6445b5883430474b82a659&price=13.0";
        String es = encrypt(notice, "");
        assertNull(es);
        es = encrypt(notice, null);
        assertNull(es);
        String result = decrypt(es, "");
        assertNull(result);
        result = decrypt(es, null);
        assertNull(result);
    }

    @Test
    public void testWithWroingNotice() {
        String token = "90f1128c7a094946a54f941d4c6f108c";
        String es = encrypt("", token);
        assertEquals("SHGlbfaEhgEOQIx5XwMjWw", es);
        String result = decrypt(es, token);
        es = encrypt(null, token);
        assertNull(es);
        result = decrypt(es, token);
        assertNull(result);
    }
   
    @Test
    public void testWithRealData() {
        String en = encrypt("100.0_123123123", "69690efd864d45dbb9b897e7fa8d84ec");
        System.out.println(en);
        String p1 = decrypt(en, "69690efd864d45dbb9b897e7fa8d84ec");
        System.out.println(p1);
    }
}
